Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
evaluation = client.dataframer.judges.evaluations.retrieve(
evaluation_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
judge_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(evaluation.id)curl https://df-api.dataframer.ai/api/dataframer/judges/$JUDGE_ID/evaluations/$EVALUATION_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_version": 123,
"source": "api",
"status": "succeeded",
"model": "<string>",
"verdict": {
"overall_score": 123,
"confidence": 123,
"reasoning": "<string>",
"dimensions": [
{
"dimension_id": "<string>",
"name": "<string>",
"scoring_model": "pass_fail",
"label": "<string>",
"labels": [
"<string>"
],
"score": 123,
"passed": true,
"notes": "<string>"
}
]
},
"error": "<string>",
"latency_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"rendered_text": "<string>"
}{
"error": "<string>"
}Judges
Get judge evaluation
Retrieve one evaluation with its full verdict
GET
/
api
/
dataframer
/
judges
/
{judge_id}
/
evaluations
/
{evaluation_id}
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
evaluation = client.dataframer.judges.evaluations.retrieve(
evaluation_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
judge_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(evaluation.id)curl https://df-api.dataframer.ai/api/dataframer/judges/$JUDGE_ID/evaluations/$EVALUATION_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_version": 123,
"source": "api",
"status": "succeeded",
"model": "<string>",
"verdict": {
"overall_score": 123,
"confidence": 123,
"reasoning": "<string>",
"dimensions": [
{
"dimension_id": "<string>",
"name": "<string>",
"scoring_model": "pass_fail",
"label": "<string>",
"labels": [
"<string>"
],
"score": 123,
"passed": true,
"notes": "<string>"
}
]
},
"error": "<string>",
"latency_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"rendered_text": "<string>"
}{
"error": "<string>"
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Response
The evaluation
Version number of the judge version that graded this content.
Available options:
api, monitor, ui Available options:
succeeded, failed The judge model used.
Null when status is failed.
Show child attributes
Show child attributes
The exact rendered text the judge graded, as sealed at evaluation time (up to 2,000,000 characters). Only returned by this single-evaluation endpoint; the list omits it.

